# ImagePosition

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the location of the image in its container.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ImagePosition : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ImagePosition As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                              |
| ---------- | -------------------------------------------------------- |
| **Bottom** | The image is located at the bottom of the container.     |
| **Left**   | The image is located at the left edge of the container.  |
| **Right**  | The image is located at the right edge of the container. |
| **Top**    | The image is located at the top of the container.        |

## Used By

| Name                                                                                                                | Description                                                                                                                                    |
| ------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| [DesktopTaskBarItem.ImagePosition](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritem.md#imageposition) | Returns or sets the position of the [Image](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritem.md#image) within this taskbar item. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.imageposition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
